import React, { useEffect, useState } from 'react';
import * as oss from '@/services/oss';
import { Image, ImageProps } from 'antd';

export default function OssImage(props: ImageProps) {
  const { src: ossUrl, ...restProps } = props;
  const [img, setImg] = useState();

  useEffect(() => {
    (async () => {
      const url = await oss.getFileUrl(ossUrl);
      setImg(url);
    })();
  }, [ossUrl]);
  return (
    <Image
      src={img}
      {...restProps}
    />
  );
}